Unit tmnb1r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNB1R_p, MNB1R_p;

function tmnb1r: String;

implementation

function tmnb1r: String;
var
I,IERR :Integer;
F :Real;
EPS :Array [0..3] of Real;
X :Array [0..3] of Real;
V :Array [0..15] of Real;
D :Array [0..3] of Real;
BL :Array [0..15] of Real;
BLEN :Array [0..3] of Real;
AJ :Array [0..3] of Real;
E :Array [0..3] of Real;
AL :Array [0..15] of Real;
AFK :Array [0..3] of Real;
const
ALPHA :Real = 3.0;
BETA :Real = 0.5;
N :Integer = 4;
NSTEP :Integer = 1;
MAXK :Integer = 1000;
EPSY :Real = 1.0E-6;
MKAT :Integer = 50;
MCYC :Integer = 10;
label
_100,_1007;
begin
Result := '';  {   }
for I:=1 to N do
 begin
  EPS[I-1] := 0.1;
_100:
  X[I-1] := 0.0;
 end;
MNB1R(N,X,F,EPS,MAXK,MKAT
     ,MCYC,ALPHA,BETA,NSTEP,EPSY,AFK
     ,V,BL,AL,D,BLEN,AJ,E,FMNB1R,IERR);
Result := Result + Format('%s',
 ['          ECOBHA MHMA METOOM POEHPOKA' + #$0D#$0A]) + #$0D#$0A;
Result := Result + Format('%s',['  IERR=']);
Result := Result + Format('%4d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',['  OEE CO TAOB']);
Result := Result + Format('%5d ',[MKAT]) + #$0D#$0A;
Result := Result + Format('%s',['  CO BCEH - ']);
Result := Result + Format('%5d ',[MAXK]) + #$0D#$0A;
Result := Result + Format('%s',['  HAEHE -A = ']);
Result := Result + Format('%20.16f ',[F]) + #$0D#$0A;
Result := Result + Format('%s',
 ['       HAEHE HEABCMX EPEMEHHX' + #$0D#$0A]) + #$0D#$0A; 
for I:=1 to N do
 begin
  Result := Result + Format('%s',['  X(']);
  Result := Result + Format('%2d ',[I]);
  Result := Result + Format('%s',[') = ']);
  Result := Result + Format('%20.16f ',[X[I-1]]) + #$0D#$0A;
_1007:
 end;
UtRes('tmnb1r',Result);  {     tmnb1r.res }
exit;
end;

end.
